NNG_TLS_CONFIG_FREE(3tls)

NAME
nng_tls_config_free - deallocate a TLS configuration object

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/tls/tls.h>

    void nng_tls_config_free(nng_tls_config *cfg);

DESCRIPTION

The nng_tls_config_free() decrements the reference count on the TLS configuration object pointed to by cfg, and if the resulting reference count is zero, then deallocates the configuration object.

RETURN VALUES

None.

ERRORS

None.

SEE ALSO

nng_tls_config_alloc(3tls), nng(7)